Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.server.api.http
Class TooManyTimesException

    java.lang.Object
      JSException
          jet.server.api.http.TooManyTimesException

    public class TooManyTimesException

extends JSException

Too many times to try to login.

Constructor Summary
`TooManyTimesException(int msgKey)` Construct a new `TooManyTimesException` with specified message, the cause is not initialized.
`TooManyTimesException(int msgKey, java.lang.Object[] params, java.lang.Throwable cause)` Constructs a new throwable with the specified detail message and cause.
`TooManyTimesException(int msgKey, java.lang.Throwable cause)` Construct a new `TooManyTimesException` with specified detail message and cause.
`TooManyTimesException(java.lang.String message)` Construct a new `TooManyTimesException` with specified message, the cause is not initialized.
`TooManyTimesException(java.lang.Throwable cause)` Construct a new `TooManyTimesException` with specified cause and a `null`detail message.``

Method Summary

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TooManyTimesException

    public TooManyTimesException(int msgKey,
                                 java.lang.Object[] params,
                                 java.lang.Throwable cause)

  Constructs a new throwable with the specified detail message and cause.

  Parameters:
    `msgKey` - the message key in strJError, for find the message, and will be loged and showed to user.
    `params` - the parameters used for format the message string, can be null.
    `cause` - the cause (which is saved for later retrieval by the getCause.

### TooManyTimesException

    public TooManyTimesException(int msgKey,
                                 java.lang.Throwable cause)

  Construct a new `TooManyTimesException` with specified detail message and cause.

  Parameters:
    `msgKey` - the message key
    `cause` - the cause. A `null` is permitted, and it indicates the cause is nonexistent or unknown.

### TooManyTimesException

    public TooManyTimesException(int msgKey)

  Construct a new `TooManyTimesException` with specified message, the cause is not initialized.

  Parameters:
    `msgKey` - the message key

### TooManyTimesException

    public TooManyTimesException(java.lang.Throwable cause)

  Construct a new `TooManyTimesException` with specified cause and a `null`detail message.

  Parameters:
    `cause` - the cause.
  ``

### TooManyTimesException

    public TooManyTimesException(java.lang.String message)

  Construct a new `TooManyTimesException` with specified message, the cause is not initialized.

  Parameters:
    `message` - the detail message.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD